Subject: Re: bug#17623: 24.4.50; incorrect example for `apply-partially' in (elisp) `Calling Functions'

From: Michael Heerdegen <[email-masked]>
Date: Wed, 27 Oct 2021 11:18:29 +0200

Stefan Kangas <[email-masked]> writes:

> I think what could be better documented are the benefits of quoting
> with function (or #').  AFAICT, it is not really explained on
> (info "(elisp) Anonymous Functions"), it is more hinted at.

Yes, it could say that one should always use this for quoting functions.

That page also doesn't tell that lambda the macro is self-funquoting -
without this information the part about lambda expressions is a bit
confusing.

Michael.